import React, { FC } from 'react';
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom';
import { HomePage } from 'components/HomePage/HomePage';
import { AuthUser } from 'components/AuthUser/AuthUser';
import { LandingPage } from 'components/LandingPage/LandingPage';
import { PrivateRoute } from 'components/api/PrivateRoute/PrivateRoute';
import { AuthRoutes, NonAuthRoutes } from 'components/api/routes';

export const App: FC = () => (
  <Router>
    <div data-testid="App">
      <Switch>
        <Route path={NonAuthRoutes.login} component={AuthUser} />
        <Route exact path={NonAuthRoutes.home} component={LandingPage} />
        <PrivateRoute path={AuthRoutes.dashboard} Component={HomePage} />
      </Switch>
    </div>
  </Router>
);
